
Figure - Bug #118344
【IOVDEV-30929】【VC1】【0100】【实车】【EE环境】【副屏】【音频播放器】播放不支持音频文件，toast
提示次数过多
2023-05-29 16:52 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230526 21:08

【前提条件】：副屏上电

【操作步骤】

1.音频播放器选择不支持的音频文件播放

【实际结果】

1.Toast提示次数过多

【期望结果】

1.Toast提示一次

【应用版本】

【VIN号】：LJD8BC3F1P0000306

【中控版本号】：03.02.0082.x101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-29 17:00 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2023-05-29 19:50 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_TEST 王成

【分析】

点击不支持的文件格式会抛出异常，同时产生一个Toast提示，根据log分析

05-26 21:08:25.851  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-3 周传雄-送别.au. Uid: 10087
05-26 21:08:25.892  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-4 周传雄-黄昏.au. Uid: 10087

05-26 21:08:25.910  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-5 周华健-花心.au. Uid: 10087

05-26 21:08:25.926  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-6 周华健-风雨无阻.au. Uid:

10087

05-26 21:08:25.942  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-7 周华健-其实不想走.au. Uid:

10087

05-26 21:08:25.958  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-8 周华健-朋友.au. Uid: 10087

05-26 21:08:25.974  3026 14500 I MediaProvider: Open with lower FS for /storage/emulated/0/Download/测试歌曲/测试歌曲/7-AU/au-9 周华健-让我欢喜让我忧.au.

Uid: 10087

原生设计逻辑，播放当前音乐失败会按照列表依次向下播放，从Log中分析可知Music应用依次打开了7个无法播放的音频，所有会分别弹出toast提示。

【下一步】

原生正常逻辑，保持当前状态。

#3 - 2023-05-30 11:00 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#4 - 2023-05-30 11:00 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#5 - 2023-05-30 11:01 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

au-3 周传雄-送别.rar 38.7 MB 2023-05-29 CDTS_TEST 王成

不支持音频文件提示.mp4 4.24 MB 2023-05-29 CDTS_TEST 王成

1685350250252.zip 2.72 MB 2023-05-29 CDTS_TEST 王成
